#contact_modal {
    display: none;
}

.photographer-header {
    background-color: #FAFAFA;
    height: 300px;
    margin: 0 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 50px;
}

.photographer_header_thumbnail {
    height: 200px;
    width: 200px;
    display: flex;
    border-radius: 50%;
    overflow: hidden;
    justify-content: center;
}

.photographer_header_thumbnail > img {
    width: 100%;
    object-fit: cover;
    object-position: top;
}

.photographer_info > h1 {
    color: #d3573c;
    font-size: 64px;
    margin: 0;
}

.photographer_info > .location {
    font-size: 24px;
    margin: 16px 0;
}

.photographer_info > .tagline {
    font-size : 18px;
}

.photographer_art_pieces {
    display: flex;
    flex-wrap: wrap;
    margin: 50px 100px;
    justify-content: space-between;
}

.image-slot {
    margin: 0;
    display: flex;
    flex-direction: column;
    width: fit-content;
    padding: 20px 0;
}

.photographer-image {
    height: 300px;
    width: 350px;
    overflow: hidden;
    display: flex;
    border-radius: 5px;
}

.media_element {
    width: 100%;
    height: auto;
    object-fit: cover;
    object-position: top;
}

.media-caption {
    display: flex;
    align-items: baseline;
    color: #901c1c;
    /* Looks bigger on the figma but some image titles were too long and conflicted with likes number*/
    font-size: 20px;
    margin-top: 10px;
}

.media-title {
    flex-grow: 1;
}

.media-likes {
    display: flex;
    align-items: center;
}

.heart {
    background-image: url('../assets/icons/heart-solid.svg');
    margin-left: 10px;
    height: 22px;
    width: 22px;
    background-color: transparent;
    border: none;
    background-size: cover;
}

.heart_black {
    background-image: url('../assets/icons/heart_solid_black.svg');
    margin-left: 10px;
    height: 22px;
    width: 22px;
    background-color: transparent;
    border: none;
    background-size: cover;
}

.price-info {
    display: flex;
    justify-content: space-between;
    position: fixed;
    bottom: 0;
    right: 40px;
    background-color: #db8876;
    min-width: 250px;
    padding: 15px 25px;
    border-radius: 5px 5px 0 0;
}

.contact_button {
    font-size: 20px;
    font-weight: bold;
    color: white;
    padding: 11px;
    width: 170px;
    height: 70px;
    border: none;
    background-color: #901C1C;
    border-radius: 5px;
    cursor: pointer;
}

.contact_button:disabled {
    background-color: rgba(144, 28, 28, 0.5);
}

#contact_modal, #lightbox_modal {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    z-index: 1;
    background-color: rgba(255, 255, 255, 0.7);
    display: none;
}

.modal {
    border-radius: 5px;
    background-color: #DB8876;
    width: 50vh;
    bottom: 0;
    display: flex;
    flex-direction: column;
    padding: 35px;
    margin: 0.5rem auto;
}

.modal header {
    flex-direction: column;
    height: fit-content;
    align-items: start;
    width: 100%;
    margin-bottom: 10px;
}

.modal header img {
    cursor: pointer;
    height: 36px;
    width: 36px;
}

.modal_title  {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.modal_title > button {
    background-image: url("../assets/icons/close.svg");
    background-size: cover;
    background-position: center;
    height: 30px;
    width: 30px;
    border: none;
    background-color: transparent;
}

#contact {
    margin: 0;
    width: 230px;
}

.modal header h2, h3  {
    font-size: 50px;
    font-weight: normal;
    margin: 0;
}

form {
    display: flex;
    width: 100%;
    flex-direction: column;
    align-items: flex-start;
}

form label {
    color: #312E2E;
    font-size: 25px;
}

form div {
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: self-start;
    margin-bottom: 10px;
}

form input, textarea {
    font-family: inherit;
    font-size: 20px;
    width: 100%;
    height: 55px;
    border: none;
    border-radius: 5px;
}

textarea {
    height: 134px;
}

.form-input[data-error]::after {
    content: attr(data-error);
    font-size: 15px;
    color: #e54858;
    display: block;
    text-align: start;
    line-height: 1;
    opacity: 0;
    transition: 0.3s;
    padding-top: 5px;
}

.form-input[data-error-visible="true"]::after {
    opacity: 1;
}

input:focus-visible {
    outline: 2px solid #757575;
}

.form-input[data-error-visible="true"] input:focus-visible {
    outline: 2px solid #e54858;
}

.form-input[data-error-visible="false"] input:focus-visible {
    outline: 2px solid #279e7a;
}

.validation-message {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    z-index: 1;
    background-color: rgba(255, 255, 255, 0.7);
    display: none;
}

.content {
    font-size: 25px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40%;
    height: fit-content;
    padding: 35px;
    margin: auto;
    flex-direction:  column;
    border-radius: 5px;
    background-color: #DB8876;
}

.lightbox {
    background-color: transparent;
    display: none;
    margin: auto;
    height: 100vh;
    width: 60vw;
    flex-direction: column;
    justify-content: center;
}

.lightbox header {
    width: 100%;
    display: flex;
    justify-content: right;
}

.lightbox header img {
    height: 30px;
    width: 30px;
    background-color: #901C1C;
}

#close_button {
    position: absolute;
    top: 0;
    right: 0;
    background-image: url("../assets/icons/close_red.svg");
    height: 30px;
    width: 30px;
    padding: 0 20px;
    z-index: 1;
    background-color: transparent;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    border: none;
}

.lightbox > .lightbox_content {
    display: flex;
    background-color: transparent;
    height: 100%;
    width: 100%;
    position: relative;
}

.lightbox_element {
    display: none;
    justify-content: center;
    align-items: center;
    margin: auto;
}

.lightbox_content {
    width: 100%;
    display: flex;
    height: auto;
}

.lightbox_content_wrapper {
    position: relative;
    display: flex;
    align-items: center;
}

#arrow_previous, #arrow_next {
    height: 100%;
    display: flex;
    align-items: center;
}

#arrow_next > button {
    background-image: url("../assets/icons/chevron-right-solid.svg");
    background-color: transparent;
    height: 45px;
    width: 45px;
    padding: 0 20px;
    z-index: 1;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    border: none;
}

#arrow_previous > button {
    background-image: url("../assets/icons/chevron-left-solid.svg");
    background-color: transparent;
    height: 45px;
    width: 45px;
    padding: 0 20px;
    z-index: 1;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    border: none;
}

.lightbox_image {
    border-radius: 5px;
    background-color: white;
    padding: 10px;
    width: 100%;
}

.lightbox_image > img {
    max-height: 90vh;
    max-width: 60vw;
    object-fit: cover;
    object-position: top;
}

.filters_wrapper {
    margin: 50px 100px 0 100px;
    display: flex;
    align-items: baseline;
}

.filter_label {
    font-size: 18px;
    font-weight: bold;
    margin-right: 40px;
}

.select_wrapper {
    position: relative;
    border-radius: 5px;
    background-color: #901C1C;
    font-style: inherit;
    color: white;
    font-weight: bold;
    font-size: 18px;
    z-index: 1;
}

.filter_select {
    height: 60px;
    width: 150px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 20px;
    font-weight: inherit;
}

.select_options {
    padding: 0;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    background-color: inherit;
    border-radius: inherit;
    font-weight: inherit;
    height: 0;
    transition: height 200ms ease-in-out;
}

.select_option {
    background-color: transparent;
    text-align: left;
    color: white;
    font-family: inherit;
    font-size: 18px;
    font-weight: bold;
    border: none;
    padding: 20px;
    display: none;
    transition: display 400ms ease-in-out, background-color 200ms ease-in-out;
    width: 100%;
}

.select_option:hover {
    background-color: rgba(56, 11, 11, 0.3);
}

.select_option > p {
    cursor: pointer;
    margin: 0;
}

#date {
    border-top: 1px solid white;
    border-bottom: 1px solid white;
}

#filter_caret {
    background-image: url("../assets/icons/angle-down-solid.svg");
    height: 16px;
    width: 16px;
    padding: 0 20px;
    z-index: 1;
    background-color: transparent;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    border: none;
    transition: rotate 200ms ease-in-out;
}
